<template>
  <div class="login">
    <h1>Login</h1>
    <div class="form">
      <label for="username">Username</label>
      <input v-model="username" type="text" name="username" class="input" />
      <label for="password">Password</label>
      <input v-model="password" type="password" class="input" />
      <button @click="login" class="btn">Login</button>
      <router-link
                  :to="{
                    name: 'signup',
                  }"
                >
      <label for="password">Pas encore de compte ?</label>
      </router-link>
    </div>
  </div>
</template>
<script>
import store from "@/store";
export default {
  data() {
    return {
      username: null,
      password: null,
      wrongLoginPwd : false
    };
  },
  methods: {
    login() {
      const requestOptions = {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({
          user: this.username,
          pwd: this.password
        })
      };
      fetch("http://localhost:5000/login", requestOptions)
        .then(response => response.json())
        .then(res => {
          console.log(res.status)
          if(res.status == 200 && res.token){
            store.user = res.data
            const redirectPath = this.$route.query.redirect || "/";
            this.$router.push(redirectPath);
          } else {
             alert('Mauvais mot de passe ou login') 
          }
          });
      
    }
  }
};
</script>
<style scoped>
.form {
  display: flex;
  flex-direction: column;
  max-width: 400px;
  margin: 0 auto;
}
</style>
